C**********************************************************                  PQSAT.2     
C             SUBROUTINE PQSAT                                               PQSAT.3     
C**********************************************************                  PQSAT.4     
      real function PQSAT(T)                                                 PQSAT.5     
       PARAMETER (NQSTAB=50000)                                              QSTABS.2     
       REAL PQSVAL                                                           QSTABS.3     
       COMMON /QSTABS/ PQSVAL(NQSTAB)                                        QSTABS.4     
      real T                                                                 PQSAT.7     
      PQSAT=PQSVAL(int(T*1e5))                                               PQSAT.8     
      END                                                                    PQSAT.9     
